﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
              this.openFileDialog1.Filter = "All Files (*.*)|*.*";

              if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
              {
                  this.textBox1.Text = openFileDialog1.FileName;
              }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int iBitrate;
            axVideoEdit1.InfoLoadMedia (this.textBox1.Text);
            double iDur = axVideoEdit1.InfoDuration;

            axVideoEdit1.AudioChannels = 2;
            axVideoEdit1.InitControl();
            axVideoEdit1.AddAudio(this.textBox1.Text, 0, iDur);
            saveFileDialog1.Filter = "M4a File (*.m4a)|*.m4a";

            if (chkabr.Checked)
                iBitrate = Convert.ToInt32(txtbitrate.Text);
            else
                iBitrate = 0;
          
          
            if (this.saveFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                axVideoEdit1.Save2M4a(this.saveFileDialog1.FileName, iBitrate, 96000, Convert.ToInt16(txtquality.Text));

            }

        }

        private void chkabr_CheckedChanged(object sender, EventArgs e)
        {
            if (chkabr.Checked)
            {
                txtbitrate.Enabled = true;
                txtquality.Enabled = false;
            }
            else
            {
                txtbitrate.Enabled = false;
                txtquality.Enabled = true;
          
            }
        }
    }
}
